import dynamix_sdk.base as _base


class CloudapiComputeUnpinFromStackResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeUnpinFromStackProtocol(_base.BasePostAPIFunctionProtocol):
    def unpin_from_stack(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeUnpinFromStackResultBool:
        ...
